Import terminology from CSV or ACTIF XML
Uploads a CSV or ACTIF XML file and imports terminology.
**CSV Format Requirements:**
- CSV must include columns: Prohibited, Preferred, Context, Context Polarity, Domains
- The first row must contain the column headers in the exact same order as shown above
- Context Polarity accepts 'include', 'exclude', or an empty value. 'include' means the context describes when the term rule applies; 'exclude' means the context describes when the term rule does NOT apply; an empty value means no polarity is set.
- Multiple values within a single cell should be separated by semicolons with a space (e.g., term1; term2; term3)
- Empty cells are allowed
- The CSV import format is the same as the CSV export format.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Query parameters
delete_existing
Delete all existing terms, term sets and domains before importing
Request
This endpoint expects a multipart form containing a file.
file
CSV or ACTIF XML file containing terminology data
Response
Successful Response
entries_processed
term_sets_created
term_sets_deleted
terms_created_or_updated
domains_created
domains_deleted
errors
Errors
401
Unauthorized Error
403
Forbidden Error
422
Unprocessable Entity Error
500
Internal Server Error